package zemplen.ui;

import org.eclipse.swt.widgets.Composite;

import zemplen.model.NevezesStatusz;

import hibergui.Form;
import hibergui.hibernate.HibernateM2OEdit_Combo;

public class NevezesStatuszCombo extends HibernateM2OEdit_Combo<NevezesStatusz> {

    public NevezesStatuszCombo(Form form, Composite cptParent, int style) {
        super(form, cptParent, style, "statusz", "státusz", "elnevezes");

		btnAssoc.setText("Nevezések állapotai");
        refresh();
    }

    @Override
    protected Form<NevezesStatusz> createForm(Composite cptParent, int style) {
        return new NevezesStatuszForm(cptParent, style);
    }
}
